package cn.com.connor.bh.bhdemo.demos.web.config;

import cn.com.connor.bh.bhdemo.demos.web.entity.MinioPojo;
import io.minio.MinioClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration()
public class MinIOConfig {
    @Autowired
    private MinioPojo minioPojo;


    @Bean
    public MinioClient minioClient(){
        return MinioClient.builder()
                .endpoint(minioPojo.getUrl())  //传入url地址
                //传入用户名和密码
                .credentials(minioPojo.getAccessKey(), minioPojo.getSecretKey())
                .build();  //完成MinioClient的初始化
    }
}
