package cn.com.connor.bh.bhdemo.demos.web.service;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MqQueueService {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    /**
     * 发送消息到指定队列中
     */
    public void sendMsgToQueue(String msg) {
        String queueName = "StoCAPP";
        System.out.println("发送消息：" + msg + "到队列：" + queueName);
        rabbitTemplate.convertAndSend(queueName,msg);
    }
}
