package cn.com.connor.bh.bhdemo.demos.web.Listener;

import cn.com.connor.bh.bhdemo.demos.web.service.CallExeService;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 队列监听器
 */
@Component
public class StoCAPPListener {

    @Autowired
    private CallExeService callExeService;
    @RabbitListener(queues = "StoCAPP")
    public void listenQueueMsg(String msg) {
        System.out.println("StoCAPPListener 监听到消息：" + msg);
        //调用批处理文件，开始执行EXE程序
        callExeService.callExe(msg);
    }
}
