package cn.com.connor.bh.bhdemo.demos.web.controller;

import cn.com.connor.bh.bhdemo.demos.web.utils.CurlUtil;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/ftp")
public class FtpController {

    @PostMapping
    public int localToFTP(@RequestBody Map<String, Object> map) {
        System.out.println("localToFTP - 已收到操作FTP相关信息："+ map.toString());
        int result = 0;
        try {
            String ftpip = map.get("ftp_ip").toString();//ftp的ip·
            String username = map.get("user_name").toString();//ftp的账号·
            String password = map.get("pass_word").toString();//ftp的密码·
            String source = map.get("source_path").toString();//本地文件路径（文件全路径：包含文件名）·
            String targetPath = map.get("target_path").toString();//ftp目标文件夹路径·
            String targetFileName = map.get("target_file_name").toString();//ftp目标文件名·
            //连接ftp并登录
//            String resultString = FtpUtil.upload(targetPath,targetFileName, source, ftpip, 21, username, password, null);
            String resultString = CurlUtil.uploadToFTP(source, username, password, ftpip, targetPath, targetFileName);
            System.out.println(resultString);
        }catch (Exception e){
            e.printStackTrace();
            System.out.println("》》》》》》》》》》上传FTP异常！《《《《《《《《《《");
            return 0;
        }
        return result;
    }

}
