package cn.com.connor.bh.bhdemo.demos.web.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class CurlUtil {
    public static String uploadToFTP(String localFile, String username, String password, String ip, String targetPath, String targetFileName) {
        String command = "curl -T " + localFile + " ftp://" + username + ":" + password + "@"+ ip  + targetPath;
        System.out.println("执行curl命令："+ command);
        try {
            // 执行一个简单的命令，例如：dir
            Process process = Runtime.getRuntime().exec(command);

            // 获取命令输出流
            BufferedReader reader = new BufferedReader(new InputStreamReader(process.getInputStream()));
            String line;
            while ((line = reader.readLine()) != null) {
                System.out.println(line);
            }

            // 等待命令执行完成
            int exitCode = process.waitFor();
            System.out.println("命令执行完成，退出码: " + exitCode);
        } catch (IOException | InterruptedException e) {
            e.printStackTrace();
            return "error";
        }
        return "success";
    }
}
